'use strict';

this.author  = 'Andrey Belov';
this.licence = 'CC-BY-NC-SA 3.0';

this.name    = 'Target Filtering System';
//oryginal name "Target System Upgrade"
this._mode = 0;

this.startUp = function() {
    this._setPreviousTargetNum(0);
};

this._setPreviousTargetNum = function(num) {
    this._previousTargetNum = num;
};

this._getPreviousTargetNum = function() {
	return this._previousTargetNum;
};

// sell 'Target System Upgrade'
this.playerBoughtEquipment = function(equipmentKey) {
	if ( equipmentKey === 'EQ_TARGET_FILTERING_SYSTEM_REMOVAL') {
		player.ship.removeEquipment('EQ_TARGET_FILTERING_SYSTEM');
		player.ship.removeEquipment('EQ_TARGET_FILTERING_SYSTEM_REMOVAL');
		player.credits += ( EquipmentInfo.infoForKey('EQ_TARGET_FILTERING_SYSTEM').price * 0.09 );
	}
};

this.equipmentDamaged = function(equipment) {
	if ( equipment === 'EQ_TARGET_FILTERING_SYSTEM' ) {
		player.consoleMessage('TFSys is damaged!');
	}
};
